Bug 53603 - Incorrect results with grep '[^^]'
Summary: Incorrect results with grep '[^^]'
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: grep (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-12 18:07 UTC by Need Real Name
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-12 18:14:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test cases (both on a working and a broken platform) (1.73 KB, text/plain)
2001-09-12 18:14 UTC, Need Real Name
no flags Details

Description Need Real Name 2001-09-12 18:07:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
grep i18n patch causes "grep '[^^]'" and "grep '[\^]'" to produce
incorrect results

Version-Release number of selected component (if applicable):
2.4.2-7

How reproducible:
Always

Steps to Reproduce:
See examples in attachment.

Additional info:

Removing the i18n patch from SRPM appears to correct the problem.

Comment 1 Need Real Name 2001-09-12 18:14:22 UTC
Created attachment 31676 [details]
Test cases (both on a working and a broken platform)

Comment 2 Bernhard Rosenkraenzer 2001-09-25 12:00:07 UTC
Building without the i18n patch may fix this issue, but it introduces quite a 
number of other problems.
It's fixed for real in grep-2.5-0.f.1.




Note You need to log in before you can comment on or make changes to this bug.